Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.service
Interface MethodDescription

All Known Implementing Classes:
  MethodDescriptionImpl

    public interface MethodDescription

Version:
  0.1 // TODO: Redesign that!
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Method Summary
`java.lang.Class` | `getClazz()`
`DataMatch` | `getDataMatch()`
`java.lang.Class` | `getEjbInterface()`
`ExecutionMode` | `getExecutionMode()`
`java.lang.String` | `getJndiName()`
`java.lang.String` | `getMethodName()`
`java.lang.Object[]` | `getParameterAnnotations()`
`ParameterMatch` | `getParameterMatch()`
`java.lang.Class[]` | `getParameterTypes()`
`java.lang.String` | `getProviderURL()`
`java.lang.Object` | `getReturnId()`
`java.lang.Class` | `getReturnType()`
`java.lang.String` | `getWebMethodName()`
`boolean` | `isSingle()`
`void` | `setClazz(java.lang.Class clazz)`
`void` | `setDataMatch(DataMatch compensationType)`
`void` | `setEjbInterface(java.lang.Class ejbInterface)`
`void` | `setExecutionMode(ExecutionMode compensationMode)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setParameterAnnotations(java.lang.Object[] parameterAnnotations)`
`void` | `setParameterMatch(ParameterMatch parameterMatch)`
`void` | `setParameterTypes(java.lang.Class[] parameterTypes)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setReturnId(java.lang.Object returnId)`
`void` | `setReturnType(java.lang.Class returnType)`
`void` | `setSingle(boolean value)`
`void` | `setWebMethodName(java.lang.String webMethodName)`

Method Detail

### getClazz

    java.lang.Class getClazz()

### setClazz

    void setClazz(java.lang.Class clazz)

### getMethodName

    java.lang.String getMethodName()

### setMethodName

    void setMethodName(java.lang.String methodName)

### getWebMethodName

    java.lang.String getWebMethodName()

### setWebMethodName

    void setWebMethodName(java.lang.String webMethodName)

### getParameterTypes

    java.lang.Class[] getParameterTypes()

### setParameterTypes

    void setParameterTypes(java.lang.Class[] parameterTypes)

### getParameterAnnotations

    java.lang.Object[] getParameterAnnotations()

### setParameterAnnotations

    void setParameterAnnotations(java.lang.Object[] parameterAnnotations)

### getReturnId

    java.lang.Object getReturnId()

### setReturnId

    void setReturnId(java.lang.Object returnId)

### getReturnType

    java.lang.Class getReturnType()

### setReturnType

    void setReturnType(java.lang.Class returnType)

### getJndiName

    java.lang.String getJndiName()

### setJndiName

    void setJndiName(java.lang.String jndiName)

### getEjbInterface

    java.lang.Class getEjbInterface()

### setEjbInterface

    void setEjbInterface(java.lang.Class ejbInterface)

### getProviderURL

    java.lang.String getProviderURL()

### setProviderURL

    void setProviderURL(java.lang.String providerURL)

### isSingle

    boolean isSingle()

### setSingle

    void setSingle(boolean value)

### getDataMatch

    DataMatch getDataMatch()

### setDataMatch

    void setDataMatch(DataMatch compensationType)

### getExecutionMode

    ExecutionMode getExecutionMode()

### setExecutionMode

    void setExecutionMode(ExecutionMode compensationMode)

### getParameterMatch

    ParameterMatch getParameterMatch()

### setParameterMatch

    void setParameterMatch(ParameterMatch parameterMatch)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD